2010-08-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.9

2010-07-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.8

2010-07-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugins/fn-lookup/functions.c (help_sheet): fix description

2010-07-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (callback_function_array):
	  make sure we have values, since some functions such as COUNT
	  can't handle a matrix with NULL values.

2010-07-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugin.xml.in: new function SORT
	* functions.c (help_sort): new
	(gnumeric_sort): new
	(lookup_functions): add new function SORT

2010-07-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugin.xml.in: new function ARRAY
	* functions.c (help_array): new
	(gnumeric_array): new
	(callback_function_array): new
	(lookup_functions): add new function ARRAY

2010-06-28  Morten Welinder <terra@gnome.org>

	* Release 1.10.7

2010-06-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.6

2010-06-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: fix empty argument descriptions

2010-06-13  Morten Welinder  <terra@gnome.org>

	* functions.c (help_sheet, help_sheets): Remove help entries that
	may not parse.

2010-05-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.5

2010-05-20  Morten Welinder <terra@gnome.org>

	* Release 1.10.4

2010-05-07  Morten Welinder <terra@gnome.org>

	* Release 1.10.3

2010-04-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.2

2010-04-16  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_index): Clean this up somewhat.  Why is
	this a vararg function?

2010-03-08  Morten Welinder <terra@gnome.org>

	* Release 1.10.1

2010-02-13  Morten Welinder <terra@gnome.org>

	* Release 1.10.0

2010-01-19  Morten Welinder <terra@gnome.org>

	* Release 1.9.18

2009-12-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.17

2009-11-29  Morten Welinder <terra@gnome.org>

	* Release 1.9.16

2009-11-01  Morten Welinder <terra@gnome.org>

	* Release 1.9.15

2009-10-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_sheet): new
	(gnumeric_sheet): new
	(lookup_functions): add SHEET
	* plugin.xml.in: add SHEET

2009-10-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_sheets): new
	(gnumeric_sheets): new
	(lookup_functions): add SHEETS
	* plugin.xml.in: add SHEETS

2009-10-11  Morten Welinder <terra@gnome.org>

	* Release 1.9.14

2009-09-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.13

2009-09-05  Morten Welinder <terra@gnome.org>

	* Release 1.9.12

2009-08-30  Morten Welinder <terra@gnome.org>

	* Release 1.9.11

2009-08-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_vlookup): fix formatting
	(help_hlookup): ditto

2009-08-26  Morten Welinder  <terra@gnome.org>

	* functions.c (get_linear_lookup_cache,
	get_bisection_lookup_cache): Take extra "vertical" argument and
	separate caches for vertical and horizontal cases.  All callers
	changed.  Fixes #593238.

2009-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.10

2009-08-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: remove argument names from GnmFuncDescriptor

2009-08-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_match): fix documentation [#317784]

2009-08-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_*): change to "new" documentation format

2009-06-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.9

2009-05-23  Morten Welinder <terra@gnome.org>

	* Release 1.9.8

2009-05-08  Morten Welinder  <terra@gnome.org>

	* functions.c (get_linear_lookup_cache,
	get_bisection_lookup_cache): Possible prune caches.
	(prune_caches): New function.

2009-05-06  Morten Welinder <terra@gnome.org>

	* Release 1.9.7

2009-04-25  Morten Welinder <terra@gnome.org>

	* Release 1.9.6

2009-03-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.5

2009-02-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.4

2009-02-02  Morten Welinder  <terra@gnome.org>

	* functions.c (wildcard_string_match): New function.
	(find_index_bisection): Call wildcard_string_match for the type=0
	case.
	(gnumeric_match): For the type=0 string case, use
	find_index_bisection if there are any wildcards.

2009-02-01  Morten Welinder  <terra@gnome.org>

	* functions.c (get_elem): Don't turn empties into 0.

2009-01-28  Morten Welinder  <terra@gnome.org>

	* functions.c (create_caches): Create caches for the bisection
	case too.
	(clear_caches): Destroy those.
	(get_bisection_lookup_cache): New function.
	(get_linear_lookup_cache): Change cache key to a GnmValue so we
	can handle arrays too.
	(find_bound_walk): Delete.
	(find_index_linear): We no longer need the fallback code.
	(find_index_bisection): Pre-load, pre-process, and cache the data.

2009-01-26  Morten Welinder  <terra@gnome.org>

	* functions.c (find_compare_type_valid): Floats should not match
	bools.
	(get_linear_lookup_cache): Create a separate cache for looking up
	bools.

2009-01-24  Morten Welinder  <terra@gnome.org>

	* functions.c (find_index_linear): Eliminate "type" argument since
	it is always zero.  Simplify.
	(get_linear_lookup_cache): Use pools for strings and floats so we
	don't have to free individual cache members.
	(get_linear_lookup_cache): Take new argument, "brand_new", so
	caller doesn't have to use hash size hack.  All callers fixed.
	(find_index_linear_equal_float): Change to take needle as
	GnmValue, so we can use find_compare_type_valid.  Callers changed.

2008-11-03  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_lookup): Fix critical.  (#559005)

2008-10-18  Jody Goldberg <jody@gnome.org>

	* Release 1.9.3

2008-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.9.2

2008-08-19  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* functions.c (gnumeric_indirect): Clarified boolean argument.

2008-07-01  Morten Welinder  <terra@gnome.org>

	* functions.c (find_bound_walk): When reversing direction, handle
	singleton right.  Fixes #540996.

2008-06-25  Jody Goldberg <jody@gnome.org>

	* Release 1.9.1

2008-05-22  Morten Welinder  <terra@gnome.org>

	* functions.c (get_cache): Properly split caches for floats and
	strings as intended.

2008-05-17  Jean Brefort  <jean.brefort@normalesup.org>

	* functions.c: (gnumeric_index): correctly check first argument
	type. Fixes #533247.

2008-05-16  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_areas): Check the value type of the
	calculation function result, not something weird with the call
	itself.  Fixes #533370.

2008-05-04  Jody Goldberg <jody@gnome.org>

	* Release 1.9.0

2008-04-08  Morten Welinder  <terra@gnome.org>

	* functions.c (find_index_linear_equal_string): New function for a
	common special case.  Fixes #525875.
	(go_plugin_init): Install signal to clear caches after recalcs.
	(go_plugin_shutdown): Remove above signal.

2007-12-21  Jody Goldberg <jody@gnome.org>

	* Release 1.8.0

2007-12-29  Jody Goldberg <jody@gnome.org>

	* functions.c (help_column) : re-order the help text.  The current
	  dump routine is too stupid to order things correctly for the
	  massaging script.
	(help_row) : ditto.

2007-12-03  Jody Goldberg <jody@gnome.org>

	* Release 1.7.91

2007-11-20  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_offset) : no need to translate the far corner
	  if there is no width/height specified. [#497294]

2007-11-19  Jody Goldberg <jody@gnome.org>

	* Release 1.7.90

2007-11-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.14

2007-10-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.13

2007-09-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.12

2007-08-31  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_column): Fix off-by-one.

2007-08-30  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_column) : fix per Harlan Grove's testing that
	  row/column return vectors, not matricies.
	* functions.c (gnumeric_row) : ditto.  Move to the new help style
	  while I'm in here.

2007-08-27  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_index) : actually return a
	  reference, some functions require it.

2007-07-24  Jody Goldberg <jody@gnome.org>

	* Release 1.7.11

2007-05-03  Morten Welinder <terra@gnome.org>

	* Release 1.7.10

2007-04-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.9

2007-03-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.8

2007-02-16  Morten Welinder <terra@gnome.org>

	* Release 1.7.7

2006-12-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.6

2006-12-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.5

2006-11-20  Jody Goldberg <jody@gnome.org>

	* Release 1.7.4

2006-11-19  Morten Welinder <terra@gnome.org>

	* Release 1.7.3

2006-10-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.2

2006-10-02  Jody Goldberg <jody@gnome.org>

	* Release 1.7.1

2006-05-08  Jody Goldberg <jody@gnome.org>

	* Release 1.7.0

2006-01-20  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_areas) : handle new GNM_EXPR_OP_ARRAY
	  mechanism

2006-01-20  Morten Welinder  <terra@gnome.org>

	* functions.c: Fix left-over uses of argument type B.

2005-12-08  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_address) : Use the new gnm_expr_conv_quote.
	(gnumeric_areas) : better error handling.

2005-11-30  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_address) : rework to handle the special case
	  of relative refs in R1C1 mode actually being relative, where as in
	  A1 mode the col/row are treated as absolute.

2005-11-14  Jody Goldberg <jody@gnome.org>

	* Release 1.6.1

2005-10-10  Jody Goldberg <jody@gnome.org>

	* Release 1.6.0

2005-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.90

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.5

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.4

2005-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.5.3

2005-06-13  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_column) : rework to handle arrays locally.
	  As far as we know these are the only position dependent situations
	  for arrays.
	(gnumeric_row) : ditto.

2005-06-13  Jody Goldberg <jody@gnome.org>

	* Release 1.5.2

2005-06-07  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_indirect) : handle R1C1

2005-05-10  Jody Goldberg <jody@gnome.org>

	* Release 1.5.1

2005-02-09  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_offset) : fix transposition of width and
	  height

2005-02-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.0

2005-01-17  Jody Goldberg <jody@gnome.org>

	* Release 1.4.2

2005-01-09  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=163040
	* functions.c (gnumeric_match) : If type is not specified, default to
	  one not zero.

2004-12-09  Jody Goldberg <jody@gnome.org>

	* Release 1.4.1

2004-11-28  Jody Goldberg <jody@gnome.org>

	* Release 1.4.0

2004-11-07  Jody Goldberg <jody@gnome.org>

	* Release 1.3.93

2004-10-31  Jody Goldberg <jody@gnome.org>

	* Release 1.3.92

2004-10-05  Jody Goldberg <jody@gnome.org>

	* Release 1.3.91

2004-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.3.90

2004-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.3.2

2004-08-19  Jon K Hellan  <hellan@acm.org>

	* functions.c: Xref INDIRECT->CELL

2004-07-19  Jody Goldberg <jody@gnome.org>

	* Release 1.3.1

2004-03-28  Jody Goldberg <jody@gnome.org>

	* Release 1.3.0

2003-12-23  Jody Goldberg <jody@gnome.org>

	* Release 1.2.3

2003-11-26  Jody Goldberg <jody@gnome.org>

	* Release 1.2.2

2003-10-08  Jody Goldberg <jody@gnome.org>

	* Release 1.2.1

2003-10-05  Jody Goldberg <jody@gnome.org>

	* functions.c : Have lookup/hlookup/vlookup/match use the new 'B' arg
	  type so that they can correctly handle empties.
	(find_type_valid) : handle empty.

2003-09-15  Jody Goldberg <jody@gnome.org>

	* Release 1.2.0

2003-09-10  Jody Goldberg <jody@gnome.org>

	* Release 1.1.90

2003-08-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.20

2003-06-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c: spelling fixes

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.19

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.18

2003-05-12  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_columnnumber): New function.

2003-05-11  Jody Goldberg <jody@gnome.org>

	* Release 1.1.17

2003-01-28  Jody Goldberg <jody@gnome.org>

	* Release 1.1.16

2002-12-31  Jody Goldberg <jody@gnome.org>

	* Release 1.1.15

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.14

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.13

2002-11-15  Jody Goldberg <jody@gnome.org>

	* Release 1.1.12

2002-11-01  Jody Goldberg <jody@gnome.org>

	* Release 1.1.11

2002-10-27  Jody Goldberg <jody@gnome.org>

	* Release 1.1.10

2002-10-16  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_column, gnumeric_row): Plug leaks.

2002-10-11  Jody Goldberg <jody@gnome.org>

	* plugin.xml.in : add areas
	* functions.c (gnumeric_areas) : new.  A quick simple implementation
	  until the core can support more.

2002-10-10  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_indirect) : always return a cell_range and use
	  the convenience routine gnm_expr_get_range.  The core is now strong
	  enough to handle the intersection and dependencies properly.

2002-09-30  Jody Goldberg <jody@gnome.org>

	* Release 1.1.9

2002-09-27  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_index) : implement multi-region

2002-09-11  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_address) : use sheet_name_quote and add upper
	  bound check.

2002-08-30  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_address): Avoid copying string.

2002-08-25  Jody Goldberg <jody@gnome.org>

	* Release 1.1.8

2002-08-12  Jody Goldberg <jody@gnome.org>

	* Release 1.1.7

2002-07-22  Zbigniew Chyla  <cyba@gnome.pl>

	* plugin.xml.in: Set loader type to "Gnumeric_Builtin:module".

2002-07-28  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* functions.c: Even more function description clean up.

2002-07-27  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* functions.c: Function description clean up.

2002-07-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.6

2002-06-22  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_offset) : no need to special case 1x1 results.
	  but add some clipping for the 2nd

2002-05-29  Jody Goldberg <jody@gnome.org>

	* Release 1.1.4

2002-05-21  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_column, gnumeric_row): Fix 82188.

2002-05-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c (find_index_bisection) : use value_area_get_x_y rather
	  than value_area_fetch_x_y 
	  http://bugzilla.gnome.org/show_bug.cgi?id=80126

2002-05-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c : mark argument names for translation and adjust 
	  them for use by the formula guru.
